// sass-lint:disable no-qualifying-elements
// sass-lint:disable no-important

@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bootstrap/bootstrap/media";
@import "variables";
@import "typography";
@import "components/flex-row";
@import "utility-classes";

$color-event-blue-dark: #14125b;
$color-event-black: #222222;

body {
  background: $color-white;
  /* below is a bugfix related to closing Eventbrite modals */
  overflow: visible !important;
  position: static !important;
}

.navbar {
  box-shadow: none;
}

.container {
  position: relative;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
}

h1,
h2,
h3:not(.footer-link-title) {
  color: $color-event-blue-dark;
}

.content input {
  color: #222222;
}

.gitlab-content-container-full,
.gitlab-content-container {
  padding: 0;
  margin: 0;
  max-width: none;

  img {
    border-radius: 8px;
  }
}

.commit-content {
  padding-right: 0;

  .column-register {
    height: 300px;
    padding: 0;
  }

  .row {
    margin-left: auto;
    margin-right: auto;
  }
}

.container-flex {
  display: flex;

  h3 {
    margin-top: 8px;
  }
}

/* SECTION STRIPING */

.highlight-black {
  background-color: $color-event-black;

  *:not(.btn):not(input) {
    color: $color-white;
  }

  a,
  a:active,
  a:focus,
  a:hover {
    color: $color-white;
  }

}

.highlight-gray {
  background: $color-gray-extra-light;

  *:not(.btn) {
    color: #333333;
  }
}

.highlight-purple {
  background-color: $color-primary;

  *:not(.btn):not(input) {
    color: $color-white;
  }

  a:not(.btn) {
    text-decoration: underline;
  }

  a:not(.btn):active,
  a:not(.btn):focus,
  a:not(.btn):hover {
    color: $color-white;
  }
}

div[class^="highlight"] {
  position: relative;
}

div[class^="highlight"]:before {
  content: "";
  display: block;
  height: 35px;
  position: absolute;
  top: -35px;
  width: 100%;
  z-index: -1;
}

div[class^="highlight"]:after {
  bottom: -35px;
  content: "";
  display: block;
  height: 35px;
  position: absolute;
  width: 100%;
  z-index: 1;
}

div[class^="highlight"].flattop:before {
  display: none;
}

div[class^="highlight"].flatbottom:after {
  display: none;
}

.highlight-black:before {
  background-image: linear-gradient(to right top, $color-event-black 0%, $color-event-black 48%, transparent 50%);
}

.highlight-black:after {
  background-image: linear-gradient(to left bottom, $color-event-black 0%, $color-event-black 48%, transparent 50%);
}

.highlight-gray:before {
  background-image: linear-gradient(to right top, $color-gray-extra-light 0%, $color-gray-extra-light 48%, transparent 50%);
}

.highlight-gray:after {
  background-image: linear-gradient(to left bottom, $color-gray-extra-light 0%, $color-gray-extra-light 48%, transparent 50%);
}

.highlight-purple:before {
  background-image: linear-gradient(to right top, $color-primary 0%, $color-primary 48%, transparent 50%);
}

.highlight-purple:after {
  background-image: linear-gradient(to left bottom, $color-primary 0%, $color-primary 48%, transparent 50%);
}

/* HERO */

.hero-section {
  margin-top: 5px;
  position: relative;
}

.hero-content {
  align-items: center;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;

  *:not(.btn) {
    color: $color-white;
  }
}

.hero-content h2 {
  font-size: 60px;
  line-height: .9em;
  margin: 0 auto;
  text-shadow: 2px 2px 2px rgba(0,0,0,.4);
}

@media (max-width: 719px) {

  #hero img {
    display: none;
  }

  .hero-content {
    font-size: .7em;
    position: relative;
  }

  .hero-content h2:not(.btn) {
    color: $color-event-black;
    text-shadow: none;
  }

}

/* INTRO */

#intro {
  margin-bottom: -3px;
}

/* VIDEO HIGHLIGHT */

body .gitlab-content-container iframe[src*="youtube"] {
  height: 450px;
  width: 800px;
}

@media (max-width: 820px) {

  body .gitlab-content-container iframe[src*="youtube"] {
    max-height: 56.25vw;
    max-width: 100%;
  }

}

.highlight-gray .cbnc-message,
.highlight-black .cbnc-message {
  background: none;
  border: 0 none;
  text-align: center;
}

.highlight-black .cbnc-message, 
.highlight-black .cbnc-message-toggle,
.highlight-black .cbnc-message-expandable, 
.highlight-black .cbnc-message a, 
.highlight-black .cbnc-message a:active, 
.highlight-black .cbnc-message a:focus, 
.highlight-black .cbnc-message a:hover {
  color: #bbbbbb !important;
}

.highlight-gray .cbnc-message-toggle,
.highlight-black .cbnc-message-toggle {
  text-decoration: underline;
}

/* PROPOSALS */

/* PAST EVENTS, WHAT TO EXPECT */

#expect .cta-btn {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto 35px;
  width: 140px;
}

/* SESSIONS, GROUNDWORKS */

#courses .row,
#groundworks .row {
  display: flex;
  flex-wrap: wrap;
}

#courses .col-md-6,
#groundworks .col-md-6 {
  background: #ffffff;
  border: 1px solid #dfdfdf;
  border-radius: 8px;
  flex: 0 0 auto;
  margin: 15px;
  padding: 20px 30px 20px 30px;
  width: calc(50% - 15px - 15px);
}

@media (max-width: 719px) {

  #courses .col-md-6,
  #groundworks .col-md-6 {
    margin-left: 0;
    margin-right: 0;
    max-width: 100%;
    width: inherit;
  }

}

#courses .col-md-6 h4,
#groundworks .col-md-6 h4 {
  color: #554488;
}

/* SPEAKERS */

#speaker-list-inner {
  text-align: center;
}

.container-speaker {
  .crop-speaker-photo {
    filter: grayscale(100%);
    width: 140px;
    height: 140px;
    overflow: hidden;
    border-radius: 50%;
    margin-left: auto;
    margin-right: auto;
  }

  .speaker-photo {
    display: inline;
    margin: 0 auto;
    height: 100%;
    width: auto;
  }

  .speaker-name {
    margin-bottom: 5px;
  }

  .speaker-title {
    margin: 0;
  }
}

#speakers .col-md-4 {
  display: inline-block;
  float: none;
  min-width: 290px;
  text-align: center;
  vertical-align: top;
  width: 32%;
}

body .footer {
  margin-top: 0;
}

@media (max-width: $grid-float-breakpoint) {
  .col-md-5 {
    margin: 0 20px 40px;
  }

  .text-left {
    text-align: center;
  }

  .container-flex {
    justify-content: center;
  }
}

/* FAQ */

.commit-content-container .faq-item.is-open .faq-answer p {
  background: none;
  border-radius: 3px;
  padding: 0;
}

.commit-content-container .faq-item.is-open .faq-answer {
  background: #f2f2f2;
  border-radius: 3px;
  padding: 10px;
}

/* SPONSORS, PARTNERS */

.customer-logos-container {
  padding-top: 0;
}

.customer-logos-container a {
  font-size: 0;
}

@media(max-width: 768px) {
  .customer-logos-container {
    max-height: none;
  }
}

.customer-logos-container .logos-container svg {
  height: 75px;
  max-width: 165px;
}

.customer-logos-container .sponsors-gold,
.customer-logos-container .sponsors-silver,
.customer-logos-container .sponsors-bronze {
  width: 100%;
}

.customer-logos-container .sponsors-gold,
.customer-logos-container .sponsors-silver {
  margin-bottom: 40px;
}

.customer-logos-container h4 {
  background: #dddddd;
  border-radius: 12px;
  color: #444444;
  font-style: italic;
  font-weight: 400;
  margin: 0 auto;
  max-width: 100%;
  opacity: .4;
  padding: 5px 0;
  width: 500px;
}

/* MOBILE */

@media (max-width: 719px) {

  #intro img {
    display: none;
  }

  #tracks img {
    display: none;
  }

  #tracks .u-margin-bottom-md {
    margin-bottom: 0;
  }

  #tracks .col-md-5 {
    margin-bottom: 0;
  }

  #speakers .col-md-4 {
    width: 100%;
  }

  #speakers .container-speaker .crop-speaker-photo {
    display: none;
  }

  #speakers .container-speaker .speaker-name {
    font-size: 100%;
  }

  #speakers .container-speaker .speaker-title {
    font-size: 90%;
    font-weight: 400;
    opacity: .85;
  }

  #speakers .container-speaker .speaker-company {
    font-size: 90%;
    opacity: .85;
  }

  #expect .column-register {
    background: none !important;
    height: inherit;
    margin-bottom: 0;
  }

  #expect .cta-btn {
    font-size: 0;
    margin: 0 auto 10px auto;
    position: static;
  }

  #expect .cta-btn[href="/events/commit/brooklyn/"]:after {
    content: "Brooklyn";
    display: inline-block;
    font-size: 18px;
    line-height: 40px;
    vertical-align: middle;
  }

  #expect .cta-btn[href="/events/commit/london/"]:after {
    content: "London";
    display: inline-block;
    font-size: 18px;
    line-height: 40px;
    vertical-align: middle;
  }

}
